[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] failed to compile 1.18.11 on fedora18



On Sun, Mar 24, 2013 at 02:21:03AM +0800, javaon wrote:
> New error comes in ...
> 
>   CC       libguestfs_la-match.lo
>   CC       libguestfs_la-osinfo.lo
> osinfo.c:572: error: conflicting types for 'guestfs___osinfo_map'
> guestfs-internal.h:595: note: previous declaration of 'guestfs___osinfo_map' was here

libguestfs 1.20?

This is because you need to install libxml2-devel.

I would suggest doing:

  yum builddep libguestfs

as that will install the dependencies you need.

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
libguestfs lets you edit virtual machines.  Supports shell scripting,
bindings from many languages.  http://libguestfs.org


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]